# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import dlcmapi_client
from dlcmapi_client.api.ingest_api import IngestApi  # noqa: E501
from dlcmapi_client.rest import ApiException


class TestIngestApi(unittest.TestCase):
    """IngestApi unit test stubs"""

    def setUp(self):
        self.api = dlcmapi_client.api.ingest_api.IngestApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_ingest_get(self):
        """Test case for ingest_get

        """
        pass

    def test_ingest_sip_delete_by_id(self):
        """Test case for ingest_sip_delete_by_id

        """
        pass

    def test_ingest_sip_get(self):
        """Test case for ingest_sip_get

        """
        pass

    def test_ingest_sip_get_by_id(self):
        """Test case for ingest_sip_get_by_id

        """
        pass

    def test_ingest_sip_patch_by_id(self):
        """Test case for ingest_sip_patch_by_id

        """
        pass

    def test_ingest_sip_post(self):
        """Test case for ingest_sip_post

        """
        pass


if __name__ == '__main__':
    unittest.main()
